Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans.factory.config
Class RuntimeBeanReference

    java.lang.Object
      org.springframework.beans.factory.config.RuntimeBeanReference

All Implemented Interfaces:
  BeanMetadataElement, BeanReference

    public class RuntimeBeanReference

extends Object
implements BeanReference

Immutable placeholder class used for a property value object when it's a reference to another bean in the factory, to be resolved at runtime.

Author:
  Rod Johnson, Juergen Hoeller
See Also:
  `BeanDefinition.getPropertyValues()`, `BeanFactory.getBean(java.lang.String)`

Constructor Summary
`RuntimeBeanReference(String beanName)` Create a new RuntimeBeanReference to the given bean name, without explicitly marking it as reference to a bean in the parent factory.
`RuntimeBeanReference(String beanName, boolean toParent)` Create a new RuntimeBeanReference to the given bean name, with the option to mark it as reference to a bean in the parent factory.

Method Summary
`boolean` | `equals(Object other)`
`String` | `getBeanName()` Return the target bean name that this reference points to (never `null`).
`Object` | `getSource()` Return the configuration source `Object` for this metadata element (may be `null`).
`int` | `hashCode()`
`boolean` | `isToParent()` Return whether this is an explicit reference to a bean in the parent factory.
`void` | `setSource(Object source)` Set the configuration source `Object` for this metadata element.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RuntimeBeanReference

    public RuntimeBeanReference(String beanName)

  Create a new RuntimeBeanReference to the given bean name, without explicitly marking it as reference to a bean in the parent factory.

  Parameters:
    `beanName` - name of the target bean

### RuntimeBeanReference

    public RuntimeBeanReference(String beanName,
                                boolean toParent)

  Create a new RuntimeBeanReference to the given bean name, with the option to mark it as reference to a bean in the parent factory.

  Parameters:
    `beanName` - name of the target bean
    `toParent` - whether this is an explicit reference to a bean in the parent factory

Method Detail

### getBeanName

    public String getBeanName()

  Description copied from interface: `BeanReference`
  Return the target bean name that this reference points to (never `null`).

  Specified by:
    `getBeanName` in interface `BeanReference`

### isToParent

    public boolean isToParent()

  Return whether this is an explicit reference to a bean in the parent factory.

### setSource

    public void setSource(Object source)

  Set the configuration source `Object` for this metadata element.

  The exact type of the object will depend on the configuration mechanism used.

### getSource

    public Object getSource()

  Description copied from interface: `BeanMetadataElement`
  Return the configuration source `Object` for this metadata element (may be `null`).

  Specified by:
    `getSource` in interface `BeanMetadataElement`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.